org.apache.cassandra.db

## Class RowIteratorFactory

- java.lang.Object
- - org.apache.cassandra.db.RowIteratorFactory

    public class RowIteratorFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RowIteratorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CloseableIterator<Row>` `getIterator(java.lang.Iterable<Memtable> memtables, java.util.Collection<SSTableReader> sstables, DataRange range, ColumnFamilyStore cfs, long now)` Get a row iterator over the provided memtables and sstables, between the provided keys and filtered by the queryfilter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RowIteratorFactory

    public RowIteratorFactory()

### Method Detail

#### getIterator

    public static CloseableIterator<Row> getIterator(java.lang.Iterable<Memtable> memtables,
                                                     java.util.Collection<SSTableReader> sstables,
                                                     DataRange range,
                                                     ColumnFamilyStore cfs,
                                                     long now)

Get a row iterator over the provided memtables and sstables, between the provided keys and filtered by the queryfilter.

Parameters:
  `memtables` - Memtables pending flush.
  `sstables` - SStables to scan through.
  `range` - The data range to fetch
  `cfs` -
Returns:
  A row iterator following all the given restrictions